[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Discuss-gnuradio] Use USRP1 and USRP N200 at the same time

From: mleech
Subject: Re: [Discuss-gnuradio] Use USRP1 and USRP N200 at the same time
Date: Fri, 23 Mar 2012 10:04:25 -0400
User-agent: Roundcube Webmail/0.5.1

USRP1 works just fine with the very-latest Gnu Radio and UHD just fine--I ran one that way just the other night.  So you can run build-gnuradio to download the very latest UHD and Gnu Radio and it'll work just fine with both your N210 and your USRP1.

There's absolutely no reason for a new user such as yourself to use any of the "classic" API for USRP1.  Just use UHD for everything.

Yes, you should be able to use two uhd_fft.py -- one setup to talk to your N210 and the other setup to talk to your USRP1, that should work just fine.



On Fri, 23 Mar 2012 14:38:55 +0100, Noé Beuret wrote:


Thanks a lot for your response.

Last week I tried to install the latest version of GNURadio and UHD with the script provided by Marcus Leech, but I read somewhere that GNURadio version need to be between 3.3 and 3.5 for working with USRP1 because newer version don't use libusrp...  It is right?

And it's not a problem to use both USRPs at the same time without conflict? For trying, it is possible to run uhd_fft.py and usrp_fft.py together? Thanks ;-) Noé -----Message d'origine----- De : address@hidden [mailto:address@hidden] De la part de Martin Braun Envoyé : vendredi 23 mars 2012 14:25 À : address@hidden Objet : Re: [Discuss-gnuradio] Use USRP1 and USRP N200 at the same time On Fri, Mar 23, 2012 at 01:51:00PM +0100, Noé Beuret wrote:
Hi everyone, I’m a student in a telecommunication school and I need to use GNURadio for a project.
Cool, good luck!
I have two USRP : 1 USRP1 (USB interface) and 1 USRP N200 (ethernet interface). The USRP1 works with a software that use GNURadio 3.2.2.
...it also works with a current version (unless you've done something super funky to it).
Now, I need to develop an other software with the USRPN200. This software need to run on the same computer, at same time that the first software. What GNURadio and UHD version I need? It is possible to keep GNURadio 3.2.2, install UHD and use both USRPs at the same time without conflict?
3.2.2 is ancient. Unless you have a really, really good reason, don't use it. Grab the newest version of both UHD and GNU Radio and *then* start your project. MB -- Karlsruhe Institute of Technology (KIT) Communications Engineering Lab (CEL) Dipl.-Ing. Martin Braun Research Associate Kaiserstraße 12 Building 05.01 76131 Karlsruhe Phone: +49 721 608-43790 Fax: +49 721 608-46071 www.cel.kit.edu KIT -- University of the State of Baden-Württemberg and National Laboratory of the Helmholtz Association _______________________________________________ Discuss-gnuradio mailing list address@hidden https://lists.gnu.org/mailman/listinfo/discuss-gnuradio


reply via email to

[Prev in Thread] Current Thread [Next in Thread]